<?php if (!defined('BASEPATH')) exit('No direct script access allowed');

class Aceita_cookie 
{
    static private $CI;
    
    function __construct() 
    {
        self::$CI =& get_instance();
        self::$CI->load->helper('cookie');
    }
    
    static function ini($nome_pagina = 'Comdono', $nome_link = 'comdono.com'){
        
        $keyCookie = convertAccentsAndSpecialToNormal(strtolower($nome_pagina));
        
        Assets::add_module_css('aceita_cookie', array(
            'style'
        ));
        Assets::add_module_js('aceita_cookie', array(
            'script'
        ));
        
        $data['nome_pagina'] = $nome_pagina;
        $data['nome_link'] = $nome_link;
        
        Template::set_modal($data,[
            'aceita_cookie/modal_politica_de_privacidade_view'
        ]);
        
        if((get_cookie($keyCookie)??'') != 'aceito'){
            
            Template::set_modal($data,[
                'aceita_cookie/aceita_cookie_view'
            ]);
        }
    }
    
    /*static function ini($nome_pagina = 'Comdono', $nome_link = 'comdono.com'){
        
        $keyCookie = convertAccentsAndSpecialToNormal(strtolower($nome_pagina));
        
        if((get_cookie($keyCookie)??'') != 'aceito'){
            
            Assets::add_module_css('aceita_cookie', array(
                'style'
            ));
            Assets::add_module_js('aceita_cookie', array(
                'script'
            ));
            
            $data['nome_pagina'] = $nome_pagina;
            $data['nome_link'] = $nome_link;
            
            Template::set_modal($data,[
                'aceita_cookie/aceita_cookie_view',
                'aceita_cookie/modal_politica_de_privacidade_view'
            ]);
        }
    }*/
    
    static function delete($nome_pagina = ''){
        $keyCookie = convertAccentsAndSpecialToNormal(strtolower($nome_pagina));
        delete_cookie($keyCookie); 
    }
}